org.apache.flume.source.jms

## Class JMSSourceConfiguration

- java.lang.Object
- - org.apache.flume.source.jms.JMSSourceConfiguration

-     public class JMSSourceConfiguration
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BATCH_SIZE`
    `static int` | `BATCH_SIZE_DEFAULT`
    `static String` | `CONNECTION_FACTORY`
    `static String` | `CONNECTION_FACTORY_DEFAULT`
    `static String` | `CONVERTER`
    `static String` | `CONVERTER_CHARSET`
    `static String` | `CONVERTER_CHARSET_DEFAULT`
    `static String` | `CONVERTER_TYPE`
    `static String` | `CONVERTER_TYPE_DEFAULT`
    `static String` | `DESTINATION_LOCATOR`
    `static String` | `DESTINATION_LOCATOR_DEFAULT`
    `static String` | `DESTINATION_NAME`
    `static String` | `DESTINATION_TYPE`
    `static String` | `DESTINATION_TYPE_QUEUE`
    `static String` | `DESTINATION_TYPE_TOPIC`
    `static String` | `ERROR_THRESHOLD`
    `static int` | `ERROR_THRESHOLD_DEFAULT`
    `static String` | `INITIAL_CONTEXT_FACTORY`
    `static String` | `MESSAGE_SELECTOR`
    `static String` | `PASSWORD_FILE`
    `static String` | `POLL_TIMEOUT`
    `static long` | `POLL_TIMEOUT_DEFAULT`
    `static String` | `PROVIDER_URL`
    `static String` | `USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSSourceConfiguration()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INITIAL_CONTEXT_FACTORY

          public static final String INITIAL_CONTEXT_FACTORY

      See Also:
        Constant Field Values

    - #### CONNECTION_FACTORY

          public static final String CONNECTION_FACTORY

      See Also:
        Constant Field Values

    - #### CONNECTION_FACTORY_DEFAULT

          public static final String CONNECTION_FACTORY_DEFAULT

      See Also:
        Constant Field Values

    - #### PROVIDER_URL

          public static final String PROVIDER_URL

      See Also:
        Constant Field Values

    - #### DESTINATION_NAME

          public static final String DESTINATION_NAME

      See Also:
        Constant Field Values

    - #### DESTINATION_TYPE

          public static final String DESTINATION_TYPE

      See Also:
        Constant Field Values

    - #### DESTINATION_LOCATOR

          public static final String DESTINATION_LOCATOR

      See Also:
        Constant Field Values

    - #### DESTINATION_LOCATOR_DEFAULT

          public static final String DESTINATION_LOCATOR_DEFAULT

      See Also:
        Constant Field Values

    - #### DESTINATION_TYPE_QUEUE

          public static final String DESTINATION_TYPE_QUEUE

      See Also:
        Constant Field Values

    - #### DESTINATION_TYPE_TOPIC

          public static final String DESTINATION_TYPE_TOPIC

      See Also:
        Constant Field Values

    - #### MESSAGE_SELECTOR

          public static final String MESSAGE_SELECTOR

      See Also:
        Constant Field Values

    - #### USERNAME

          public static final String USERNAME

      See Also:
        Constant Field Values

    - #### PASSWORD_FILE

          public static final String PASSWORD_FILE

      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      See Also:
        Constant Field Values

    - #### BATCH_SIZE_DEFAULT

          public static final int BATCH_SIZE_DEFAULT

      See Also:
        Constant Field Values

    - #### ERROR_THRESHOLD

          public static final String ERROR_THRESHOLD

      See Also:
        Constant Field Values

    - #### ERROR_THRESHOLD_DEFAULT

          public static final int ERROR_THRESHOLD_DEFAULT

      See Also:
        Constant Field Values

    - #### POLL_TIMEOUT

          public static final String POLL_TIMEOUT

      See Also:
        Constant Field Values

    - #### POLL_TIMEOUT_DEFAULT

          public static final long POLL_TIMEOUT_DEFAULT

      See Also:
        Constant Field Values

    - #### CONVERTER

          public static final String CONVERTER

      See Also:
        Constant Field Values

    - #### CONVERTER_TYPE

          public static final String CONVERTER_TYPE

      See Also:
        Constant Field Values

    - #### CONVERTER_TYPE_DEFAULT

          public static final String CONVERTER_TYPE_DEFAULT

      See Also:
        Constant Field Values

    - #### CONVERTER_CHARSET

          public static final String CONVERTER_CHARSET

      See Also:
        Constant Field Values

    - #### CONVERTER_CHARSET_DEFAULT

          public static final String CONVERTER_CHARSET_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMSSourceConfiguration

          public JMSSourceConfiguration()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.